Threader
Date: 2016-06-23

org.apache.commons.net.nntp

## Class Threader

- java.lang.Object
- - org.apache.commons.net.nntp.Threader

-     public class Threader
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Threader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Threadable` | `thread(java.lang.Iterable<? extends Threadable> messages)` The client passes in a list of Iterable objects, and the Threader constructs a connected 'graph' of messages
    `Threadable` | `thread(java.util.List<? extends Threadable> messages)` The client passes in a list of Threadable objects, and the Threader constructs a connected 'graph' of messages
    `Threadable` | `thread(Threadable[] messages)` Deprecated. (2.2) prefer `thread(List)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Threader

          public Threader()

  - ### Method Detail

    - #### thread

          public Threadable thread(java.util.List<? extends Threadable> messages)

      The client passes in a list of Threadable objects, and the Threader constructs a connected 'graph' of messages
      Parameters:
        `messages` - list of messages to thread, must not be empty
      Returns:
        null if messages == null or root.child == null or messages list is empty
      Since:
        2.2

    - #### thread

          public Threadable thread(java.lang.Iterable<? extends Threadable> messages)

      The client passes in a list of Iterable objects, and the Threader constructs a connected 'graph' of messages
      Parameters:
        `messages` - iterable of messages to thread, must not be empty
      Returns:
        null if messages == null or root.child == null or messages list is empty
      Since:
        3.0

    - #### thread

          @Deprecated
          public Threadable thread(Threadable[] messages)

      Deprecated. (2.2) prefer `thread(List)`
      The client passes in an array of Threadable objects, and the Threader constructs a connected 'graph' of messages
      Parameters:
        `messages` - array of messages to thread, must not be empty
      Returns:
        null if messages == null or root.child == null or messages array is empty